<?php

if ($blog->entries)
	while ($data = $blog->entry())
	{
		addTitle($data['entryTitle']);
		addDescription(trimlink($data['entryContent']));
		addImage((preg_match('/< *img[^>]*src *= *["\']?([^"\']*)/i', $data['entryContent'], $images) ? $images[1] : 0));
		echo "<article class='full'>
				".(strlen($data['entryTitle']) > 50 ? "<h2>".htmlspecialchars($data['entryTitle'])."</h2>" : '')."
				<p class='meta'><time class='date' title='{locale:published_on}'>".show_date($data['entryPublished'])."</time><a href='".get_profile_link($data['userName'])."' class='by' title='{locale:entry_by}'>$data[publicName]</a>
				<div class='content'>".entry_show_all($data['entryContent'])."</div>
				<p clasS='meta'>".get_entry_admin($data)."</p>
			</article>\n";
	}
else
	echo "<h1>$_locale[entry_not_found_title]</h1>"
		."<p>$_locale[entry_not_found]</p>\n";